Уязвимость BDU:2022-02008

Дата: 17.11.2021. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2022-02008.

Наименование уязвимости: Уязвимость модуля обработки HTML-страниц WYSIWYG-редактора CKEditor, позволяющая нарушителю осуществлять межсайтовые сценарные атаки.

Описание уязвимости: Уязвимость модуля обработки HTML-страниц WYSIWYG-редактора CKEditor связана с непринятием мер по защите структуры веб-страницы. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, осуществлять межсайтовые сценарные атаки
Уязвимое ПО: Операционная система Debian GNU/Linux 9 | Операционная система Debian GNU/Linux 10 | Прикладное ПО информационных систем Oracle Corp. Oracle Banking Digital Experience 18.1 | Прикладное ПО информационных систем Oracle Corp. Oracle Banking Digital Experience 18.2 | Прикладное ПО информационных систем Oracle Corp. Oracle Banking Digital Experience 18.3 | Прикладное ПО информационных систем Oracle Corp. Oracle Banking Digital Experience 19.1 | Прикладное ПО информационных систем Oracle Corp. Oracle Banking Digital Experience 19.2 | Прикладное ПО информационных систем Oracle Corp. Oracle Banking Digital Experience 20.1 | Операционная система Debian GNU/Linux 11 | Прикладное ПО информационных систем Drupal от 9.2 до 9.2.9 | Прикладное ПО информационных систем Drupal от 9.1 до 9.1.14 | Прикладное ПО информационных систем Drupal от 8.9 до 8.9.20 | Прикладное ПО информационных систем Oracle Corp. Oracle Banking Digital Experience 21.1 | Прикладное ПО информационных систем Oracle Corp. Oracle Banking APIs от 18.1 до 18.3 включительно | Прикладное ПО информационных систем Oracle Corp. Oracle Banking APIs 19.1 | Прикладное ПО информационных систем Oracle Corp. Oracle Banking APIs 19.2 | Прикладное ПО информационных систем Oracle Corp. Oracle Banking APIs 20.1 | Прикладное ПО информационных систем Oracle Corp. Oracle Banking APIs 21.1 | Прикладное ПО информационных систем The CKEditor Team CKEditor до 4.17.0 |

Наименование ОС и тип аппаратной платформы: Debian GNU/Linux 9 | Debian GNU/Linux 10 | Debian GNU/Linux 11 |
Дата выявления: 17.11.2021.
CVSS 2.0: AV:N/AC:M/Au:S/C:C/I:P/A:P
Уровень опасности уязвимости: Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 7,5)
Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 8,2)

Возможные меры по устранению:
Использование рекомендаций:
Для CKEditor:
https://github.com/ckeditor/ckeditor4/blob/major/CHANGES.md#ckeditor-417
https://github.com/ckeditor/ckeditor4/security/advisories/GHSA-7h26-63m7-qhf2

Для программных продуктов Oracle Corp.:
https://www.oracle.com/security-alerts/cpujan2022.html

Для Drupal:
https://www.drupal.org/sa-core-2021-011

Для Debian GNU/Linux:
https://security-tracker.debian.org/tracker/CVE-2021-41165
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Данные уточняются
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2021-41165.

Тип ошибки CWE: CWE-79
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://nvd.nist.gov/vuln/detail/CVE-2021-41165
https://github.com/ckeditor/ckeditor4/blob/major/CHANGES.md#ckeditor-417
https://github.com/ckeditor/ckeditor4/security/advisories/GHSA-7h26-63m7-qhf2
https://www.drupal.org/sa-core-2021-011
https://www.oracle.com/security-alerts/cpujan2022.html
https://security-tracker.debian.org/tracker/CVE-2021-41165

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован.